libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.61. __nv_double2uint_ru

Prototype:

    i32 @__nv_double2uint_ru(double %d)

Description:

Convert the double-precision floating point value `x` to an unsigned integer value in round-up (to positive infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes